ru.bitel.bgbilling.kernel.event.events

## Class ContractObjectParameterBeforeUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ContractObjectParameterBeforeUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractObjectParameterBeforeUpdateEvent
      extends LocalEvent

  Синхронное событие - перед измением параметра объекта договора.
  Вызывается перед изменением параметра объекта.
  Позволяет проверить устанавливаемый параметр и запретить его смену.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractObjectParameterBeforeUpdateEvent()`
    `` | `ContractObjectParameterBeforeUpdateEvent(int userId, int cid, int paramId, ParamValue value)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()` Возвращает текст ошибки.
    `ParamValue` | `getValue()` Возвращается устанавливаемое значение параметра объекта.
    `void` | `setError(java.lang.String error)` Устанавливает текст ошибки при неправильной\некорректной попытке изменить параметр.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractObjectParameterBeforeUpdateEvent

          protected ContractObjectParameterBeforeUpdateEvent()

    - #### ContractObjectParameterBeforeUpdateEvent

          public ContractObjectParameterBeforeUpdateEvent(int userId,
                                                          int cid,
                                                          int paramId,
                                                          ParamValue value)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - код договора
        `paramId` - код параметра
        `value` - устанавливаемое значение параметра объекта

  - ### Method Detail

    - #### getError

          public java.lang.String getError()

      Возвращает текст ошибки.
      Функция вызывается биллингом после обработки события.
      При установленной ошибке изменение параметра объекта запрещается.
      Returns:
        error - текст ошибки

    - #### setError

          public void setError(java.lang.String error)

      Устанавливает текст ошибки при неправильной\некорректной попытке изменить параметр.
      Вызывается скриптом.
      Parameters:
        `error` - - текст ошибки

    - #### getValue

          public ParamValue getValue()

      Возвращается устанавливаемое значение параметра объекта.
      Returns:
        value - новое значение